Bug 190 - mangling method = hash mangles files starting with a dot
mangling method = hash mangles files starting with a dot
Status: CLOSED FIXED
Product: Samba 3.0
Classification: Unclassified
Component: File Services
3.0.0preX
All All
: P2 normal
: 3.0.0rc2
Assigned To: Jeremy Allison
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2003-06-26 09:49 UTC by TAKAHASHI Motonobu
Modified: 2005-08-24 10:23 UTC (History)
0 users

See Also:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description TAKAHASHI Motonobu 2003-06-26 09:49:23 UTC
smb.conf:

=====
[global]
    mangling method = hash
[home]
    writeable = yes
=====

The above environment, the LFNs of files starting with a dot are mangled.
(At Samba 2.2 series, the LFNs are not mangled.)

This bug breaks the compatibility of "mangling method = hash".
Comment 1 Gerald (Jerry) Carter 2003-08-25 09:18:08 UTC
Jeremy,  Mind taking a look at this one?
Comment 2 Gerald (Jerry) Carter 2003-08-29 08:00:33 UTC
I'm marking this as fixed in hopes that all of the mutibyte
character set work that was done for RC2 does resolve the 
problem.  If not, please reopen the bug
Comment 3 Gerald (Jerry) Carter 2005-02-07 08:39:11 UTC
originally reported against 3.0.0beta1.  CLeaning out 
non-production release versions.
Comment 4 Gerald (Jerry) Carter 2005-08-24 10:23:49 UTC
sorry for the same, cleaning up the database to prevent unecessary reopens of bugs.